# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: readme_gen.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x10readme_gen.proto\"\x07\n\x05\x45mpty\"A\n\x0c\x43loneRequest\x12\x16\n\x0erepository_url\x18\x01 \x01(\t\x12\x19\n\x11subdirectory_path\x18\x02 \x01(\t\"5\n\rCloneResponse\x12\x0f\n\x07message\x18\x01 \x01(\t\x12\x13\n\x0b\x63loned_path\x18\x02 \x01(\t\"\xb7\x01\n\x0fModelParameters\x12\x0f\n\x07\x61pi_key\x18\x01 \x01(\t\x12\x0e\n\x06org_id\x18\x02 \x01(\t\x12\x16\n\x0eselected_model\x18\x03 \x01(\t\x12\x13\n\x0btemperature\x18\x04 \x01(\x02\x12\x12\n\nmax_tokens\x18\x05 \x01(\x05\x12\r\n\x05top_p\x18\x06 \x01(\x02\x12\x19\n\x11\x66requency_penalty\x18\x07 \x01(\x02\x12\x18\n\x10presence_penalty\x18\x08 \x01(\x02\" \n\x0ePromptTemplate\x12\x0e\n\x06prompt\x18\x02 \x01(\t\"R\n\nResultText\x12\x1a\n\x12individual_summary\x18\x01 \x01(\t\x12\x17\n\x0foverall_summary\x18\x02 \x01(\t\x12\x0f\n\x07message\x18\x03 \x01(\t\"-\n\tUserQuery\x12\x11\n\ttool_name\x18\x01 \x01(\t\x12\r\n\x05query\x18\x02 \x01(\t\"-\n\nResultTool\x12\x0e\n\x06output\x18\x01 \x01(\t\x12\x0f\n\x07message\x18\x02 \x01(\t2\xd9\x01\n\tReadmeGen\x12\x31\n\x10\x63lone_repository\x12\r.CloneRequest\x1a\x0e.CloneResponse\x12\x38\n\x12get_llm_parameters\x12\x10.ModelParameters\x1a\x10.ModelParameters\x12\x38\n\x18map_reduce_chain_summary\x12\x0f.PromptTemplate\x1a\x0b.ResultText\x12%\n\nagent_tool\x12\n.UserQuery\x1a\x0b.ResultToolb\x06proto3')



_EMPTY = DESCRIPTOR.message_types_by_name['Empty']
_CLONEREQUEST = DESCRIPTOR.message_types_by_name['CloneRequest']
_CLONERESPONSE = DESCRIPTOR.message_types_by_name['CloneResponse']
_MODELPARAMETERS = DESCRIPTOR.message_types_by_name['ModelParameters']
_PROMPTTEMPLATE = DESCRIPTOR.message_types_by_name['PromptTemplate']
_RESULTTEXT = DESCRIPTOR.message_types_by_name['ResultText']
_USERQUERY = DESCRIPTOR.message_types_by_name['UserQuery']
_RESULTTOOL = DESCRIPTOR.message_types_by_name['ResultTool']
Empty = _reflection.GeneratedProtocolMessageType('Empty', (_message.Message,), {
  'DESCRIPTOR' : _EMPTY,
  '__module__' : 'readme_gen_pb2'
  # @@protoc_insertion_point(class_scope:Empty)
  })
_sym_db.RegisterMessage(Empty)

CloneRequest = _reflection.GeneratedProtocolMessageType('CloneRequest', (_message.Message,), {
  'DESCRIPTOR' : _CLONEREQUEST,
  '__module__' : 'readme_gen_pb2'
  # @@protoc_insertion_point(class_scope:CloneRequest)
  })
_sym_db.RegisterMessage(CloneRequest)

CloneResponse = _reflection.GeneratedProtocolMessageType('CloneResponse', (_message.Message,), {
  'DESCRIPTOR' : _CLONERESPONSE,
  '__module__' : 'readme_gen_pb2'
  # @@protoc_insertion_point(class_scope:CloneResponse)
  })
_sym_db.RegisterMessage(CloneResponse)

ModelParameters = _reflection.GeneratedProtocolMessageType('ModelParameters', (_message.Message,), {
  'DESCRIPTOR' : _MODELPARAMETERS,
  '__module__' : 'readme_gen_pb2'
  # @@protoc_insertion_point(class_scope:ModelParameters)
  })
_sym_db.RegisterMessage(ModelParameters)

PromptTemplate = _reflection.GeneratedProtocolMessageType('PromptTemplate', (_message.Message,), {
  'DESCRIPTOR' : _PROMPTTEMPLATE,
  '__module__' : 'readme_gen_pb2'
  # @@protoc_insertion_point(class_scope:PromptTemplate)
  })
_sym_db.RegisterMessage(PromptTemplate)

ResultText = _reflection.GeneratedProtocolMessageType('ResultText', (_message.Message,), {
  'DESCRIPTOR' : _RESULTTEXT,
  '__module__' : 'readme_gen_pb2'
  # @@protoc_insertion_point(class_scope:ResultText)
  })
_sym_db.RegisterMessage(ResultText)

UserQuery = _reflection.GeneratedProtocolMessageType('UserQuery', (_message.Message,), {
  'DESCRIPTOR' : _USERQUERY,
  '__module__' : 'readme_gen_pb2'
  # @@protoc_insertion_point(class_scope:UserQuery)
  })
_sym_db.RegisterMessage(UserQuery)

ResultTool = _reflection.GeneratedProtocolMessageType('ResultTool', (_message.Message,), {
  'DESCRIPTOR' : _RESULTTOOL,
  '__module__' : 'readme_gen_pb2'
  # @@protoc_insertion_point(class_scope:ResultTool)
  })
_sym_db.RegisterMessage(ResultTool)

_READMEGEN = DESCRIPTOR.services_by_name['ReadmeGen']
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _EMPTY._serialized_start=20
  _EMPTY._serialized_end=27
  _CLONEREQUEST._serialized_start=29
  _CLONEREQUEST._serialized_end=94
  _CLONERESPONSE._serialized_start=96
  _CLONERESPONSE._serialized_end=149
  _MODELPARAMETERS._serialized_start=152
  _MODELPARAMETERS._serialized_end=335
  _PROMPTTEMPLATE._serialized_start=337
  _PROMPTTEMPLATE._serialized_end=369
  _RESULTTEXT._serialized_start=371
  _RESULTTEXT._serialized_end=453
  _USERQUERY._serialized_start=455
  _USERQUERY._serialized_end=500
  _RESULTTOOL._serialized_start=502
  _RESULTTOOL._serialized_end=547
  _READMEGEN._serialized_start=550
  _READMEGEN._serialized_end=767
# @@protoc_insertion_point(module_scope)
